Package org.apache.any23.vocab

## Class LKIFCoreTop

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.LKIFCoreTop

-     public class LKIFCoreTop
      extends Vocabulary

  An implementation of the lkif-core vocabulary which is a library of ontologies relevant for the legal domain. The library consists of 15 modules, each of which describes a set of closely related concepts from both legal and commonsense domains.

  The LKIF top ontology is largely based on the top-level of LRI-Core but has less ontological commitment in the sense that it imposes less restrictions on subclasses of the top categories.

  Author:
    lewismc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `Abstract_Entity` |
    `org.eclipse.rdf4j.model.IRI` | `Mental_Entity` |
    `org.eclipse.rdf4j.model.IRI` | `Mental_Object` |
    `static String` | `NS` | The namespace of the vocabulary as a string.
    `org.eclipse.rdf4j.model.IRI` | `Occurrence` |
    `org.eclipse.rdf4j.model.IRI` | `Physical_Entity` |
    `org.eclipse.rdf4j.model.IRI` | `Spatio_Temporal_Occurrence` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LKIFCoreTop` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      The namespace of the vocabulary as a string.
      See Also:
        Constant Field Values

    - #### Abstract_Entity

          public final org.eclipse.rdf4j.model.IRI Abstract_Entity

    - #### Mental_Entity

          public final org.eclipse.rdf4j.model.IRI Mental_Entity

    - #### Mental_Object

          public final org.eclipse.rdf4j.model.IRI Mental_Object

    - #### Occurrence

          public final org.eclipse.rdf4j.model.IRI Occurrence

    - #### Physical_Entity

          public final org.eclipse.rdf4j.model.IRI Physical_Entity

    - #### Spatio_Temporal_Occurrence

          public final org.eclipse.rdf4j.model.IRI Spatio_Temporal_Occurrence

  - ### Method Detail

    - #### getInstance

          public static LKIFCoreTop getInstance()